Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.io.datastore.sql.postgis
Class PGgeometryAdapter

    java.lang.Object
      org.deegree.io.datastore.sql.postgis.PGgeometryAdapter

    public class PGgeometryAdapter

extends Object

Adapter between deegree `Geometry` objects and PostGIS `Geometry` objects.

Version:
  $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Markus Schneider , Andreas Poth , last edited by: $Author: mschneider $

Method Summary
`static org.postgis.PGboxbase` | `export(Envelope envelope)` Converts a deegree `Envelope` instance to a corresponding PostGIS `PGboxbase` object.
`static org.postgis.PGgeometry` | `export(Geometry geometry, int srid)` Converts a deegree `Geometry` instance to a corresponding PostGIS `PGgeometry` object.
`static Geometry` | `wrap(org.postgis.Geometry geometry, CoordinateSystem crs)` Converts a PostGIS `Geometry` instance to a corresponding deegree `Geometry` object.
`static Geometry` | `wrap(org.postgis.PGgeometry pgGeometry, CoordinateSystem crs)` Converts a PostGIS `PGGeometry` instance to a corresponding deegree `Geometry` object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### export

    public static org.postgis.PGgeometry export(Geometry geometry,
                                                int srid)
                                         throws GeometryException

  Converts a deegree `Geometry` instance to a corresponding PostGIS `PGgeometry` object.

  Parameters:
    `geometry` - deegree `Geometry` to be converted
    `srid` - PostGIS SRS id that is used to store the geometry
  Returns:
    corresponding PostGIS `Geometry`
  Throws:
    `GeometryException`

### export

    public static org.postgis.PGboxbase export(Envelope envelope)
                                        throws GeometryException

  Converts a deegree `Envelope` instance to a corresponding PostGIS `PGboxbase` object.

  Parameters:
    `envelope` - deegree `Envelope` to be converted
  Returns:
    corresponding PostGIS `PGboxbase`
  Throws:
    `GeometryException`

### wrap

    public static Geometry wrap(org.postgis.PGgeometry pgGeometry,
                                CoordinateSystem crs)
                         throws GeometryException

  Converts a PostGIS `PGGeometry` instance to a corresponding deegree `Geometry` object.

  Parameters:
    `pgGeometry` - PostGIS `PGgeometry` to be converted
    `crs` - coordinate system of the created deegree `Geometry` object
  Returns:
    corresponding deegree `Geometry`
  Throws:
    `GeometryException`

### wrap

    public static Geometry wrap(org.postgis.Geometry geometry,
                                CoordinateSystem crs)
                         throws GeometryException

  Converts a PostGIS `Geometry` instance to a corresponding deegree `Geometry` object.

  Parameters:
    `geometry` - PostGIS `PGgeometry` to be converted
    `crs` - coordinate system of the created deegree `Geometry` object
  Returns:
    corresponding deegree `Geometry`
  Throws:
    `GeometryException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org